import db_postgres, macros, options, postgres, sequtils, strutils,
  times, timeutils, unicode, uuids

import ./models
import ./db_common

export db_common.NotFoundError

type
  PMApiDb* = ref object
    conn: DbConn

  
proc connect*(connString: string): PMApiDb =
  result = PMApiDb(conn: open("", "", "", connString))

generateProcsForModels([User, ApiToken, Measure, Measurement, ClientLogEntry])

generateLookup(User, @["email"])

generateLookup(ApiToken, @["userId"])
generateLookup(ApiToken, @["hashedToken"])

generateLookup(Measure, @["userId"])
generateLookup(Measure, @["userId", "id"])
generateLookup(Measure, @["userId", "slug"])

generateLookup(Measurement, @["measureId"])
generateLookup(Measurement, @["measureId", "id"])

generateLookup(ClientLogEntry, @["userId"])
