export enum MeasureType { Simple }

export interface ApiToken {
  id: string;
  userId: string;
  name: string;
  value?: string;
  created: Date;
  expires?: Date;
}

export interface LoginSubmit {
  email: string;
  password: string;
}

export interface MeasureConfig {
  type: string;
}

export interface Measure<C extends MeasureConfig> {
  id: string;
  userId: string;
  slug: string;
  name: string;
  description: string;
  config: C;
}

export interface MeasurementMeta {}

export interface Measurement<M extends MeasurementMeta> {
  id: string;
  measureId: string;
  value: number;
  timestamp: Date;
  extData: M;
}

export interface User {
  id: string;
  displayName: string;
  email: string;
  isAdmin: boolean;
}
