import {
  Action,
  getModule,
  Module,
  Mutation,
  VuexModule
} from 'vuex-module-decorators';
import { Measurement, MeasurementMeta } from '@/models';
import api from '@/services/pm-api-client';

@Module({ namespaced: true, name: 'measurement' })
export class MeasurementStoreModule extends VuexModule {
  public measurements: { [key: string]: Array<Measurement<MeasurementMeta>> } = {};

  @Action({ commit: 'SET_MEASUREMENTS', rawError: true })
  public async getchMeasurements(measureSlug: string) {
    return await api.getMeasurements(measureSlug);
  }

  // @Mutation private SET_MEASUREMENTS<T extends MeasurementMeta>(
}
