import Vue from 'vue';
import Vuex from 'vuex';
import { getModule } from 'vuex-module-decorators';
import { ApiTokenStoreModule } from './store-modules/api-token';
import { AuthStoreModule } from './store-modules/auth';
import { MeasureStoreModule } from './store-modules/measure';
import { MeasurementStoreModule } from './store-modules/measurement';
import { UserStoreModule } from './store-modules/user';

Vue.use(Vuex);

export const store = new Vuex.Store({
  state: {},
  mutations: {},
  actions: {},
  modules: {
    apiToken: ApiTokenStoreModule,
    auth: AuthStoreModule,
    measure: MeasureStoreModule,
    measurements: MeasurementStoreModule,
    user: UserStoreModule
  }
});

export const apiTokenStore = getModule(ApiTokenStoreModule, store);
export const authStore = getModule(AuthStoreModule, store);
export const measureStore = getModule(MeasureStoreModule, store);
export const measurementStore = getModule(MeasurementStoreModule, store);
export const userStore = getModule(UserStoreModule, store);
